﻿using MySql.Data.MySqlClient;
using System;
using System.IO;

namespace PMCProjekt
{
    internal class Program
    {
        static void Main(string[] args)
        {
            MySqlConnection myConnection;
            string myConnectionString;

            // Setzen Sie die korrekten Werte für Ihren Server, Benutzer, Passwort und Datenbanknamen
            myConnectionString = "server=localhost;uid=root;pwd=root;database=import_export";

            try
            {
                myConnection = new MySqlConnection(myConnectionString);
                // Öffnen Sie eine Verbindung
                myConnection.Open();

                // Datei einlesen
                string dateiPfad = "C:/Schule/PMC/import_yutani.csv";
                if (File.Exists(dateiPfad))
                {
                    using (StreamReader sr = new StreamReader(dateiPfad))
                    {
                        string zeile;
                        while ((zeile = sr.ReadLine()) != null)
                        {
                            string[] werte = zeile.Split(',');

                            if (werte.Length == 2)
                            {
                                string vorname = werte[0];
                                string nachname = werte[1];

                                // Verarbeiten der Daten (z.B. Ausgabe)
                                Console.WriteLine("Vorname: " + vorname + ", Nachname: " + nachname);

                                // Daten in die Datenbank einfügen (Beispiel)
                                string abfrage = "INSERT INTO user (firstname, lastname) VALUES (@vorname, @nachname)";
                                using (MySqlCommand myCommand = new MySqlCommand(abfrage, myConnection))
                                {
                                    myCommand.Parameters.AddWithValue("@vorname", vorname);
                                    myCommand.Parameters.AddWithValue("@nachname", nachname);
                                    myCommand.ExecuteNonQuery();
                                }
                            }
                        }
                    }
                }
                else
                {
                    Console.WriteLine("Datei nicht gefunden.");
                }

                // Verbindung schließen
                myConnection.Close();
            }
            catch (MySqlException ex)
            {
                Console.WriteLine("Fehler: " + ex.Message);
            }
        }
    }
}

}

   